org.springframework.remoting.support

## Interface RemoteInvocationExecutor

- All Known Implementing Classes:
    DefaultRemoteInvocationExecutor

      public interface RemoteInvocationExecutor

  Strategy interface for executing a `RemoteInvocation` on a target object.

  Used by `RmiServiceExporter` (for RMI invokers) and by `HttpInvokerServiceExporter`.

  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    `DefaultRemoteInvocationFactory`, `RemoteInvocationBasedExporter.setRemoteInvocationExecutor(org.springframework.remoting.support.RemoteInvocationExecutor)`, `RemoteInvocationBasedExporter.setRemoteInvocationExecutor(org.springframework.remoting.support.RemoteInvocationExecutor)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(RemoteInvocation invocation, Object targetObject)` Perform this invocation on the given target object.

- - ### Method Detail

    - #### invoke

          Object invoke(RemoteInvocation invocation,
                      Object targetObject)
                        throws NoSuchMethodException,
                               IllegalAccessException,
                               InvocationTargetException

      Perform this invocation on the given target object. Typically called when a RemoteInvocation is received on the server.
      Parameters:
        `invocation` - the RemoteInvocation
        `targetObject` - the target object to apply the invocation to
      Returns:
        the invocation result
      Throws:
        `NoSuchMethodException` - if the method name could not be resolved
        `IllegalAccessException` - if the method could not be accessed
        `InvocationTargetException` - if the method invocation resulted in an exception
      See Also:
        `Method.invoke(java.lang.Object, java.lang.Object...)`